Subject: Re: help .

From: Zheng Gengbing <[email-masked]>
Date: Sat, 15 Jun 1996 17:31:22 +0800 (EAT)

Thanks for your letter .
here I still have several questions,

On Thu, 13 Jun 1996, Guansong Zhang wrote:

> 
> In fact, I am really glad to see that our project is demostrated every where.
> It is not something "toy", it can bring benifits to all of us.
> 
> First, we have two class of test program: one is in testsuite dir, we have a
> name for this test, "HPF tester", the idea is that it not only can test our own
> project, it can test any software with a hpf frontend, even include commercial
> ones.
> 
> Another class is real (influntial) Fortran program in the world.
> 
> The hpf tester are composed of three parts:
> 
> 1. examples:
> 
> a, typical f90 program (test90):
> 
> this set of programs come from a book, "Migrating to Fortran 90", (author,
> James F. Kerrigan). This is a book to introduce F90, you can see the program
> full of F90 features, which may even not be often used in real world program.
> 
> The recompile, rerun was prevented by format bug now.
> 
> b, hpf program:
> 
> now, only three small program was provided, they are real program and can be
> run on DEC machine. A better set of program adopted from "HPF handbook" are
> being developing in HIT, we will substitute these three with those ones.
>

	Are these three files adi.f lap.f ge.f ?

> Our project have no problem with this set.
> 
> 2. syntax test:
> 
> This test is developed specially for hpf frontend, the idea is to use every
> possible hpf syntax rules at least one time. So the program its self is meaning
> less. Put it is a real challenge.
> 
> The test can be devide into two groups,
> 
> a, for f90, test1-8. None of the comercial F90 program pass all of them. The
> best result come from IBM, it report a syntax error on the line which our hpfsc
> report as a semantics error. ( So, it may be a mistake of the test developer.
> Since I don't have time to ask more detailed reason why it is a semantics
> error,
> this is not confirmed yet.)
> 
> b, for hpf, none compiler in the world can pass this yet execpt ours.
> 
> I have no time to check on unparse result for these two.
> 
> 3. semantics:
> 
> (I need organization from you about this)
> 
> 
> The real world program now are two:
> 
> One is from NAG program, ask prof. Li about this in detail. All I know is that
> NAG is very famous.
> 
> The other is hpf program developed in NPAC to solve blackhole problem. Now we
> can successfully recompile the unparse results of this set. Some one rerun
> them, but I don't get their report yet.
>

	I see in testhp more than 30 f90 files , are they all the programs
to solve blackhole problem ?

> Is it clear enough?
> Guansong

Gengbin